<html>
    <head>
        <title>Ex8</title>
        <meta charset="utf-8">
    </head>
    <body>
        

        <label for="lX">Vetor X: </label>
        <input type="text" id="LX">
        <label for="lY"> Vetor Y: </label>
        <input type="text" id="LY">
        <label for="lZ">Vetor Z:</label>
        <input type="text" id="LZ"></br>
        <input type="button" value="Calcular!" onclick="Process()">


        <H2 id="Winner">Resultado: </H2></br>
        <script>
            function Process(){
                var X= document.getElementById('LX').value;

                var Y= document.getElementById('LY').value;

                var Z = document.getElementById('LZ').value;


                var XY= X+Y;

                var XZ= X+Z;

                var YZ= Y+Z;


                if(X==''||Y==''||Z==''){
                    alert('Algum campo esta em branco!!');
                }else if(X>='a'||Y>='a'||Z>='a'){
                    alert('Fovar informar somente numeros!')
                }else if(X<YZ&&Y<XZ&&Z<XY){
                    alert('algum dos valores é grande demais!')
                    
                }else{
                    if(X==Y&&X==Z&&Y==Z){
                        document.getElementById('Winner').innerHTML= 'Os valores informados formão um Triangulo Equilatero';
                    }else if(X==Y||X==Z||Y==Z){
                        document.getElementById('Winner').innerHTML= 'Os valores informados formão um Triangulo Isoscele';
                    }else if(X!=Y&&X!=Z&&Y!=Z){
                        document.getElementById('Winner').innerHTML= 'Os valores informados formão um Triangulo Escaleno';
                    }
                }
            
            }
        </script>

    </body>
</html>